Package org.zkoss.zel

## Class BeanELResolver

- java.lang.Object
- - org.zkoss.zel.ELResolver
  - - org.zkoss.zel.BeanELResolver

- Direct Known Subclasses:
    `DynamicPropertiedELResolver`

      public class BeanELResolver
      extends ELResolver

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.zel.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanELResolver()` |
    `BeanELResolver​(boolean readOnly)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getCommonPropertyType​(ELContext context, java.lang.Object base)` |
    `java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors​(ELContext context, java.lang.Object base)` |
    `java.lang.Class<?>` | `getType​(ELContext context, java.lang.Object base, java.lang.Object property)` |
    `java.lang.Object` | `getValue​(ELContext context, java.lang.Object base, java.lang.Object property)` |
    `java.lang.Object` | `invoke​(ELContext context, java.lang.Object base, java.lang.Object method, java.lang.Class<?>[] paramTypes, java.lang.Object[] params)` | Invokes a method on the the given object.
    `boolean` | `isReadOnly​(ELContext context, java.lang.Object base, java.lang.Object property)` |
    `void` | `setValue​(ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)` |

    - ### Methods inherited from class org.zkoss.zel.ELResolver

      `convertToType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanELResolver

          public BeanELResolver()

    - #### BeanELResolver

          public BeanELResolver​(boolean readOnly)

  - ### Method Detail

    - #### getType

          public java.lang.Class<?> getType​(ELContext context,
                                            java.lang.Object base,
                                            java.lang.Object property)

      Specified by:
        `getType` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose type is to be returned
      Returns:
        the type of the provided property

    - #### getValue

          public java.lang.Object getValue​(ELContext context,
                                           java.lang.Object base,
                                           java.lang.Object property)

      Specified by:
        `getValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be returned
      Returns:
        the value of the provided property

    - #### setValue

          public void setValue​(ELContext context,
                               java.lang.Object base,
                               java.lang.Object property,
                               java.lang.Object value)

      Specified by:
        `setValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be set
        `value` - The value to set the property to

    - #### invoke

          public java.lang.Object invoke​(ELContext context,
                                         java.lang.Object base,
                                         java.lang.Object method,
                                         java.lang.Class<?>[] paramTypes,
                                         java.lang.Object[] params)

      Description copied from class: `ELResolver`
      Invokes a method on the the given object. This default implementation always returns `null`.
      Overrides:
        `invoke` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the method is to be found
        `method` - The method to invoke
        `paramTypes` - The types of the parameters of the method to invoke
        `params` - The parameters with which to invoke the method
      Returns:
        Always `null`
      Since:
        EL 2.2

    - #### isReadOnly

          public boolean isReadOnly​(ELContext context,
                                    java.lang.Object base,
                                    java.lang.Object property)

      Specified by:
        `isReadOnly` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property to be checked for read only status
      Returns:
        `true` if the identified property is read only, otherwise `false`

    - #### getFeatureDescriptors

          public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors​(ELContext context,
                                                                                        java.lang.Object base)

      Specified by:
        `getFeatureDescriptors` in class `ELResolver`

    - #### getCommonPropertyType

          public java.lang.Class<?> getCommonPropertyType​(ELContext context,
                                                          java.lang.Object base)

      Specified by:
        `getCommonPropertyType` in class `ELResolver`